## net.i2p.i2ptunnel
Class I2Ping

    java.lang.Object
      net.i2p.i2ptunnel.I2PTunnelTask
          net.i2p.i2ptunnel.I2Ping

All Implemented Interfaces:
  java.lang.Runnable, EventDispatcher

    public class I2Ping

extends I2PTunnelTask
implements java.lang.Runnable

Nested Class Summary
`class` `I2Ping.PingHandler`

Field Summary

Fields inherited from class net.i2p.i2ptunnel.I2PTunnelTask
`open`

Constructor Summary
`I2Ping(java.lang.String cmd, Logging l, boolean ownDest, EventDispatcher notifyThis, I2PTunnel tunnel)`

Method Summary
`boolean` `close(boolean forced)`
`boolean` `ping(Destination dest)`
`void` `run()`
`void` `runCommand(java.lang.String cmd)`

Methods inherited from class net.i2p.i2ptunnel.I2PTunnelTask
`attachEventDispatcher, detachEventDispatcher, disconnected, errorOccurred, getEventDispatcher, getEvents, getEventValue, getId, getTunnel, ignoreEvents, isOpen, notifyEvent, reportAbuse, routerDisconnected, setId, setName, setTunnel, toString, unIgnoreEvents, waitEventValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I2Ping

    public I2Ping(java.lang.String cmd,
                  Logging l,
                  boolean ownDest,
                  EventDispatcher notifyThis,
                  I2PTunnel tunnel)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### runCommand

    public void runCommand(java.lang.String cmd)
                    throws java.lang.InterruptedException,
                           java.io.IOException

  Throws:
    `java.lang.InterruptedException`
    `java.io.IOException`

### close

    public boolean close(boolean forced)

  Specified by:
    `close` in class `I2PTunnelTask`

### ping

    public boolean ping(Destination dest)
                 throws I2PException

  Throws:
    `I2PException`